/*
Created by: X
http://www.createdbyx.com/

xGameConsoleXNA is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System.Diagnostics;
//using System.Data;
using System.Collections;
using System.Collections.Generic;
using System;

namespace xGameConsoleXNA
{
	public class ReturnValueEventArgs : System.ComponentModel.CancelEventArgs
	{
		
		protected string mstrCommand = string.Empty;
		protected string[] mstrArgs = null;
		protected string mstrReturnValue = string.Empty;
		
		
		public string Command
		{
			get
			{
				return mstrCommand;
			}
		}
		
		public string[] Args
		{
			get
			{
				return mstrArgs;
			}
		}
		
		public string ReturnValue
		{
			get
			{
				return mstrReturnValue;
			}
		}
		
		public ReturnValueEventArgs()
		{
			
		}
		
		public ReturnValueEventArgs(string Command, string[] Args, string ReturnValue)
		{
			this.mstrCommand = Command;
			this.mstrArgs = Args;
			this.mstrReturnValue = ReturnValue;
		}
		
		public ReturnValueEventArgs(string Command, string[] Args)
		{
			this.mstrCommand = Command;
			this.mstrArgs = Args;
		}
		
		public ReturnValueEventArgs(string Command, string[] Args, string ReturnValue, bool Cancel)
		{
			this.mstrCommand = Command;
			this.mstrArgs = Args;
			this.mstrReturnValue = ReturnValue;
			this.Cancel = Cancel;
		}
		
		public ReturnValueEventArgs(string Command, string[] Args, bool Cancel)
		{
			this.mstrCommand = Command;
			this.mstrArgs = Args;
			this.Cancel = Cancel;
		}
	}
}
