/*
Created by: X
http://www.createdbyx.com/
*/
using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;


namespace xGameConsoleXNA_Example2
{
    public class CustomCommands : xGameConsoleXNA.GenericCommands.BaseCommands
    {
        private Game1 game;

        public CustomCommands(Game1 g, xGameConsoleXNA.Console console) : base(console)
        {
            this.game = g;
        }

        #region " Commands ... "
        [Category("Example"), Description("Quits the applicaion/game.")]
        private string DoQuit(string[] args)
        {
            string Ret = string.Empty;
            if (mblnIsConnected == false) return Ret;

            // exit the app.
            this.game.Exit();

            // return an empty string
            return Ret;
        }

        #endregion


        public override void OnConnect(xGameConsoleXNA.CommandManager Manager, xGameConsoleXNA.CommandExtenderManager ExtenderManager)
        {
            // be sire to call the base OnConnect method
            base.OnConnect(Manager, ExtenderManager);
            // add a quit command
            DoAddCommand("quit", new xGameConsoleXNA.CommandCallback(this.DoQuit));
        }
    }
}
